Name:           python-pyasn1
Version:        0.3.7
Release:        8
Summary:        ASN.1 library for Python
License:        BSD
Source0:        https://github.com/etingof/pyasn1/archive/v%{version}.tar.gz
Source1:        https://github.com/etingof/pyasn1-modules/archive/v0.1.5.tar.gz
URL:            http://pyasn1.sourceforge.net/
BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools python3-devel python3-setuptools
BuildRequires:  python-unversioned-command python3-sphinx libffi

%description
Abstract Syntax Notation One (ASN.1) is a technology for exchanging structured data
in a universally understood, hardware agnostic way. Many industrial, security and
telephony applications heavily rely on ASN.1.
The pyasn1 library implements ASN.1 support in pure-Python.

%package -n     python2-pyasn1
Summary:        Pyasn1 in python 2
Provides:       python2-pyasn1-modules
Obsoletes:      python2-pyasn1-modules

%{?python_provide:%python_provide python2-pyasn1}
%{!?python_provide:Provides: python-pyasn1}
%{?python_provide:%python_provide python2-pyasn1-modules}
%{!?python_provide:Provides: python-pyasn1-modules}

%description -n python2-pyasn1
Pyasn1 in python 2.

%package -n     python3-pyasn1
Summary:        Pyasn1 in python 3
Provides:       python3-pyasn1-modules
Obsoletes:      python3-pyasn1-modules
%{?python_provide:%python_provide python3-pyasn1}
%{?python_provide:%python_provide python3-modules}

%description -n python3-pyasn1
Pyasn1 in python 3.

%package        help
Summary:        Documentation for python-pyasn1
BuildRequires:  python3-sphinx
Provides:       python-pyasn1-doc
Obsoletes:      python-pyasn1-doc

%description    help
Documentation for python-pyasn1.

%prep
%autosetup -n pyasn1-%{version} -p1 -b1
rm -rf %{py3dir}
cp -a . %{py3dir}
cp -a ../pyasn1-modules-0.1.5 %{py3dir}-modules

%build
%{__python} setup.py build
cd ../pyasn1-modules-0.1.5
%{__python} setup.py build
cd -

cd %{py3dir}
%{__python3} setup.py build
cd -
cd %{py3dir}-modules
%{__python3} setup.py build
cd -

%install
cd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
cd -

cd %{py3dir}-modules
%{__python3} setup.py install --skip-build --root %{buildroot}
cd -

%{__python} setup.py install --skip-build --root %{buildroot}
cd ../pyasn1-modules-0.1.5
%{__python} setup.py install --skip-build --root %{buildroot}
cd -

cd doc
PYTHONPATH="$RPM_BUILD_ROOT%{python_sitelib}:$PYTHONPATH" make html
rm -f build/html/.buildinfo
cd -

%check
PYTHONPATH="%{buildroot}%{python_sitelib}:$PYTHONPATH" %{__python2} setup.py test
cd %{py3dir}
PYTHONPATH="%{buildroot}%{python3_sitelib}:$PYTHONPATH" %{__python3} setup.py test
cd -

%files -n python2-pyasn1
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.rst
%{python_sitelib}/pyasn1
%{python_sitelib}/pyasn1-%{version}-*.egg-info/
%{python_sitelib}/pyasn1_modules/
%{python_sitelib}/pyasn1_modules-0.1.5-*.egg-info/

%files -n python3-pyasn1
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.rst
%{python3_sitelib}/pyasn1
%{python3_sitelib}/pyasn1-%{version}-*.egg-info/
%{python3_sitelib}/pyasn1_modules/
%{python3_sitelib}/pyasn1_modules-0.1.5-*.egg-info/

%files help
%license LICENSE.rst
%doc doc/build/html/*

%changelog
* Thu Feb 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.3.7-8
- Revise build requires of python-sphinx

* Tue Jan 21 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.3.7-7
- Revise build requires

* Thu Jan 16 2020 Ling Yang <lingyang2@huawei.com> - 0.3.7-6
- Fixed build error

* Wed Nov 13 2019 dongjian <dongjian13@huawei.com> - 0.3.7-5
- Package init

* Mon Oct 21 2019 Zaiwang Li <lizaiwang1@huawei.com> - 0.3.7-5
- Init Package
